One-click search button right-click menu: "search in new tab" logic should be inverted if browser.search.openintab is true
In bug 1110771 a right-click menu for the one-click search buttons was implemented. One of the two actions is "search in new tab". Firefox has a preference to *always* open searches in new tabs (browser.search.openintab). If enabled Firefox should offer a option to "search in same tab" instead because the option to search in a new tab does not make a lot of sense in the right-click menu if Firefox always open searches in new tabs.